.\"	Title : mintupdatex-cli
.\"	Author : gm10
.\"	February, 8 2019
.\"
.\" First parameter, NAME, should be all caps
.\" other parameters are allowed: see man(7), man(1)
.TH MINTUPDATE-CLI 8 "8 February 2019"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" for manpage-specific macros, see man(7)
.SH NAME
mintupdatex-cli \- The Linux Mint Update Manager command line interface.

.SH SYNOPSIS
\fBmintupdatex-cli\fR [options] {list | upgrade}

.SH DESCRIPTION
\fBmintupdatex-cli\fR is the command line interface to mintupdatex.
.PP
Unless the \fB-h\fR, or \fB--help\fR option is given, one of the commands below must be present:
.PP
\fBlist\fR
.RS 4
list available upgrades
.RE
.PP
\fBupgrade\fR
.RS 4
apply available upgrades
.RE

.SH OPTIONS
mintupdatex-cli accepts the following options:
.TP
\fB-h\fR, \fB--help\fR
Show a help message and exit
.TP
\fB-k\fR, \fB--only-kernel\fR
Only include kernel updates
.TP
\fB-s\fR, \fB--only-security\fR
Only include security updates
.TP
\fB-i IGNORE\fR, \fB--ignore IGNORE\fR
List of updates to ignore (comma-separated list of source package names).

Note: You can also blacklist updates by adding them to /etc/mintupdatex.blacklist, one source package per line.

To ignore a specific version, use the format package=version.
.TP
\fB-r\fR, \fB--refresh-cache\fR
Refresh the APT cache
.TP
\fB-d\fR, \fB--dry-run\fR
Simulation mode, don't upgrade anything
.TP
\fB-y\fR, \fB--yes\fR
Automatically answer yes to all questions and always install new configuration files (unless you also use "--keep-configuration" option).
.TP
\fB--install-recommends\fR
Install recommended packages regardless of system defaults.
.TP
\fB--keep-configuration\fR
Always keep local changes in configuration files (use with caution).
.TP
\fB-v\fR, \fB--version\fR
Display the current version

.SH "AUTHOR"
\fBThe Linux Mint developers\fR

.SH SEE ALSO
\fBmintupdatex(8)\fR
